#! /usr/bin/perl
############################################################
# Script para enderezar imagenes con informacion EXIF
############################################################
# Requiere identify & mogrify, de ImageMagick

# comment out para que corrija las imagenes
$notdebug = 1;

# por defecto abre todos los *.JPG en el directorio actual
@files = <*.jpg>;

# o si queres pasarle parametros en la linea de comandos, 
# ej: ./standup.pl *.png *.jpg *.JPG
# descomenta esta linea
#@files = @ARGV;

foreach $file (@files){

	$out = `identify -format \"%[EXIF:Orientation]\" $file`;
	chomp $out;	# saco los /n/n que agrega el ``
	chomp $out;
	#print ".$out.\n";
	if ($out eq "1"){
		print "$file esta ok.\n";
	} elsif ($out eq "6"){ # tumbada hacia la izq
		print "$file esta tumbada a la izq.\t";
		print "mogrify -rotate 90 $file\n";
		system "mogrify -rotate 90 $file" if $notdebug;
	} elsif ($out eq "8"){ #tumbada hacia la der
		print "$file esta tumbada a la der.\t";
		print "mogrify -rotate 270 $file\n";
		system "mogrify -rotate 270 $file" if $notdebug;
	} elsif ($out eq "4"){ #cabeza abajo
		print "$file esta al reves.\t";
		print "mogrify -rotate 180 $file\n";
		system "mogrify -rotate 180 $file" if $notdebug;
	}

}
print "standup: Hecho\n";

